#
# spec file for package htdig (Version 3.2.0b6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           htdig
BuildRequires:  apache2-devel gcc-c++ libapr-util1-devel pcre-devel postfix
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)
Url:            http://www.htdig.org
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    on
Version:        3.2.0b6
Release:        44
Summary:        WWW Index and Search System
Source:         http://switch.dl.sourceforge.net/sourceforge/htdig/htdig-%{version}.tar.bz2
Source1:        htdig-README.SuSE
# ATM, not in use
Patch:          db-ia64-config.dif
# ATM, not in use
Patch1:         64bit.patch
# ATM, not in use
Patch2:         x86_64_spinlocks.patch
# ATM, not in use
Patch3:         htsearch_64.patch
# ATM, not in use
Patch4:         htdig-htnotify-memory-fix.diff
# ATM, not in use
Patch5:         htdig-3.1.X-file_url.diff
# try to re-use relevant hunks as Patch8
# ATM, otherwise not in use
Patch6:         htdig-codecleanup.diff
# ATM, not in use
Patch7:         htdig-configure.diff
# cf. Patch6!
Patch8:         cleanup-db.diff
Patch9:         cross-site-CAN-2005-0085.patch
Patch10:        htdig-3.2.0b6-strictaliasing.diff
Patch11:        htsearch-gcc41.patch
Patch12:        htdig-quoting.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ht://Dig system is a complete World Wide Web index and search
system for a small domain or intranet. This system is not meant to
replace the need for powerful Internet-wide search systems like Lycos,
Infoseek, Webcrawler, or AltaVista. Instead it is meant to cover the
search needs of a single company, campus, or even a particular
subsection of a Web site.

Unlike some WAIS-based or Web server-based search engines, ht://Dig can
span several Web servers at a site. The type of these Web servers does
not matter as long as they understand the HTTP 1.0 protocol.



Authors:
--------
    Andrew Scherpbier <andrew@contigo.com>
    Gabriele Bartolini <bartolini@infomedia.it>
    Lachlan Andrew <lha@users.sourceforge.net>

%debug_package
%prep
# echo %apache_serverroot
%setup -q
cp %{S:1} README.SuSE
# %patch
# %patch1
# %patch2
# %patch3
# %patch4 -p 0
# %patch5
# %patch6
# %patch7
%patch8 -p 1
# %patch9 -p 1
%patch9 -p1
# find contrib -type f -name '*.pl' | xargs sed -i 
%patch10 -p1
%patch11
%patch12 -p1

%build
%{?suse_update_config:%{suse_update_config -f db/dist}}
pushd contrib
find . -type f | xargs -n 1 sed -i "s@/usr/local/bin/perl@/usr/bin/perl@"
popd
#(cd db/dist; autoconf)
rm -f acconfig.h db/dist/acconfig.h aclocal.m4 configure db/dist/configure
autoreconf --force --install
# --with-config-dir=%{_sysconfdir}/htdig \
#   --with-config-dir=%{apache_serverroot}/htdig/conf
export CC=gcc CXX=g++
export CXXFLAGS="$RPM_OPT_FLAGS -W -Wall"
export CFLAGS="$RPM_OPT_FLAGS -W -Wall -Wstrict-prototypes -Wno-unused-parameter"
export CPPFLAGS="-D_GNU_SOURCE"
./configure --prefix=/usr \
   --mandir=%{_mandir} \
   --with-config-dir=%{_sysconfdir}/htdig \
   --with-common-dir=%{apache_serverroot}/htdig/common \
   --with-database-dir=/var/lib/htdig/db \
   --with-cgi-bin-dir=%{apache_serverroot}/cgi-bin \
   --with-image-dir=%{apache_serverroot}/htdig/images \
   --with-image-url-prefix=images \
   --with-search-dir=%{apache_serverroot}/htdig
# make depend
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
find . -name \*.orig -o -name .cvsignore | xargs rm  -f
# make INSTALL_ROOT=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README README.SuSE contrib htdoc
%config(noreplace) %{_sysconfdir}/htdig
%dir %{apache_serverroot}/htdig
%{apache_serverroot}/htdig/search.html
%{apache_serverroot}/htdig/common
%{apache_serverroot}/htdig/images
%dir /var/lib/htdig
/var/lib/htdig/db
%{apache_serverroot}/cgi-bin/htsearch
%{apache_serverroot}/cgi-bin/qtest
%{_mandir}/*/*
/usr/lib/h*
/usr/include/*
/usr/bin/*
# /usr/bin/rundig
# /usr/bin/htfuzzy
# /usr/bin/htmerge
# /usr/bin/htnotify
# /usr/bin/htdig
# /usr/bin/htdump
# /usr/bin/htload
# /usr/local/httpsd/cgi-bin/htsearch
# /usr/local/httpsd/htdocs/htdig

%changelog
* Thu Nov 22 2007 - mskibbe@suse.de
- Bug 304239 - VUL-0: XSS in htsearch / htdig
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - hvogel@suse.de
- removed some extra qualifications. Added
  * htsearch-gcc41.patch
* Tue Sep 27 2005 - mmj@suse.de
- Fix strict aliasing issues
- Use %%patch to apply patches
* Thu Jan 27 2005 - ke@suse.de
- Fix a cross site scripting flaw as found by Michael Krax; apply the
  patch proposed by Phil Knirsch; CAN-2005-0085 [# 50238].
* Thu Nov 11 2004 - ro@suse.de
- fixed filelist
* Fri Aug 27 2004 - ke@suse.de
- Improve htdig-README.SuSE.
- Drop obsolete notification message [# 44355].
* Tue Jul 06 2004 - ke@suse.de
- Major update to version 3.2.0b6; most Suse supplied patches look
  obsolete.
* Tue Apr 27 2004 - ro@suse.de
- build using apache2
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Fri Mar 05 2004 - ke@suse.de
- Do not call 'sed -i' on directories.
* Sat Feb 28 2004 - ro@suse.de
- fix requires to /usr/local/bin/perl
* Tue Jan 13 2004 - ke@suse.de
- Use /usr/sbin/apxs to make it built for non root users (thanks for
  hint to Peter Poeml).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu Jul 17 2003 - pthomas@suse.de
- Add patch to enable passing file::/ URLs.
- Adapt configure.in of htdig and included libdb to autoconf 2.5X.
- Compile with full warnings enabled.
- Fix nearly all compiler warnings.
* Wed Jun 11 2003 - kukuk@suse.de
- Add missing directories to filelist
* Wed Jun 11 2003 - ke@suse.de
- For updating the config file use %%post instead of %%pre.
* Tue Jun 10 2003 - ke@suse.de
- Move config file to /etc/htdig/htdig.conf; reported by Michal Svec
  [# 27080].
- Save old config file as /etc/htdig/htdig.conf.rpmorig.
* Wed May 28 2003 - ke@suse.de
- Fix memory problem with htnotify [# 26913]; reported by Daniele
  Frijia.  Apply patch provided by Martin Kraemer;
  http://sourceforge.net/tracker/index.php?func=detail&aid=593091&group_id=4593&atid=304593
* Tue Apr 29 2003 - freitag@suse.de
- fixed a 64-bit problem with htsearch, see Bug #26358,
  results in diff htsearch_64.patch
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Tue Feb 11 2003 - freitag@suse.de
- fixed location of the images of htdig in the conf file. They are
  now relative to the document root (Bug #15500)
* Wed Nov 06 2002 - freitag@suse.de
- fixed broken patches
* Tue Nov 05 2002 - freitag@suse.de
- fixed the README file ( Bug #20062)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Sep 09 2002 - uli@suse.de
- increased DB_FILE_ID_LEN in DB2 to 24 to fit 64 bit __ino_t type
  on x86-64, ia64, s390x and ppc64
- enabled x86 spinlock implementation on x86-64
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Wed Jun 19 2002 - freitag@suse.de
- update to version 3.1.6, which
  * fixes some security wholes that were fixed by patches formerly
  * fixes many small bugs
  * brings tools to generate ascii databases
  * adds a bunch of new keywords
  The SuSE package now installs to other pathes, please read README.SuSE
  for further information.
* Tue Feb 19 2002 - freitag@suse.de
- signed config files as %%conf in the spec file and fixed the
  filelist (Bug #12326)
* Wed Jan 23 2002 - schwab@suse.de
- Fix for gcc3.
* Thu Aug 16 2001 - utuerk@suse.de
- dropped 'out-of-date' notify [#6139]
- dropped unneeded dochost templates, left the originals [#9715]
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Jan 31 2001 - freitag@suse.de
- fixed a typo in html-files
* Sun Jan 14 2001 - kukuk@suse.de
- Add group tag
* Fri Sep 08 2000 - schwab@suse.de
- Add ia64 support in db.
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Wed Mar 08 2000 - freitag@suse.de
- fixing wrong links to images on localhost
* Wed Mar 08 2000 - freitag@suse.de
- fixing again some links, clearifying change losses
* Mon Mar 06 2000 - freitag@suse.de
- removed entries from /usr/local/httpsd
* Sat Mar 04 2000 - freitag@suse.de
- fixed layout on search pages
* Tue Feb 29 2000 - freitag@suse.de
- update to version 3.1.5 - Security fixes.
* Mon Feb 21 2000 - freitag@suse.de
- patches for using with kdevellop added
* Thu Feb 10 2000 - freitag@suse.de
- new version 3.1.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - ray@suse.de
- update to 3.1.2
* Wed Mar 17 1999 - ro@suse.de
- diff cleanup
* Thu Jan 28 1999 - ray@suse.de
- fix S.u.S.E -> SuSE ;)
* Sat Jan 16 1999 - ray@suse.de
- fix /usr/local/bin/perl require
* Mon Dec 07 1998 - ray@suse.de
- update docu
* Thu Nov 05 1998 - ray@suse.de
- update to 3.1.0b2
* Mon Sep 14 1998 - ro@suse.de
- update to 3.1.0b1
- cleanup: use original source and extra tar for suse-gif
* Tue Jun 16 1998 - bs@suse.de
- fixed neededforbuild in spec file
* Wed May 13 1998 - ray@suse.de
- fix for startpage (search.html)
* Mon Apr 20 1998 - ro@suse.de
- fixed dependency for /usr/local/bin/perl
* Mon Mar 23 1998 - ray@suse.de
- insert whole htdoc and contrib
* Wed Mar 11 1998 - ray@suse.de
- fix (send mail to root)
* Tue Mar 03 1998 - ray@suse.de
- new packages
- htdig  Version 3.0.8b2
